libsigc++-2.0 (2.12.1-4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:41:49 +0100

libsigc++-2.0 (2.12.1-4) unstable; urgency=medium

  * Stop using dh-sequence-gnome
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 07:14:08 -0400

libsigc++-2.0 (2.12.1-3) unstable; urgency=medium

  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 13:28:59 -0500

libsigc++-2.0 (2.12.1-2) unstable; urgency=medium

  * Drop obsolete Build-Depends: python3-distuils (Closes: #1065895)
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 12:32:10 -0400

libsigc++-2.0 (2.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop ancient Conflicts/Replaces
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Oct 2023 13:47:06 -0400

libsigc++-2.0 (2.12.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Drop obsolete NEWS file

  [ Boyuan Yang ]
  * Update debian/copyright
  * debian/rules: run dh_doxygen

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Jan 2023 18:14:30 -0500

libsigc++-2.0 (2.10.8-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

  [ Hideki Yamane ]
  * Specify --buildsystem option properly
  * Fix debian/watch file
  * Add debian/salsa-ci.yml

  [ Matthias Klose ]
  * debian/libsigc++-2.0-0v5.symbols: Mark a symbol as optional not seen
    when building with lto

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 16:14:37 -0400

libsigc++-2.0 (2.10.4-2) unstable; urgency=medium

  * Build-Depend on docbook-xml & docbook-xsl

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 19:06:02 -0400

libsigc++-2.0 (2.10.4-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Oct 2020 18:32:00 -0400

libsigc++-2.0 (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Watch download.gnome.org for new releases instead of Github

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 19:18:15 -0400

libsigc++-2.0 (2.10.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:23:32 -0500

libsigc++-2.0 (2.10.1-1) unstable; urgency=medium

  * New upstream release
  * Convert debian/copyright to 1.0 format
  * Build-Depend on doxygen, graphviz & xsltproc to build docs from source
  * Bump Standards-Version to 4.2.1
  * Use dh_missing --fail-missing
  * debian/libsigc++-2.0-0v5.symbols: Add Build-Depends-Package metadata
  * Drop 0002-Fix-GCC-8-FTFBS.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 30 Oct 2018 23:15:31 -0400

libsigc++-2.0 (2.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix FTBFS with GCC 8 (Closes: #897895)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 08 Aug 2018 13:54:06 +0100

libsigc++-2.0 (2.10.0-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add debian/gbp.conf
  * Update Homepage and debian/watch for migration to GitHub
  * Build with gnome-pkg-tools
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 18:23:16 -0400

libsigc++-2.0 (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.10).
  * Mark libsigc++-2.0-doc as Multi-Arch: foreign.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 01:08:05 +0200

libsigc++-2.0 (2.9.3-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10 for autoreconf support.
  * Simplify debian/rules.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 00:11:36 +0200

libsigc++-2.0 (2.8.0-2) unstable; urgency=medium

  * Stop enforcing c++11 mode via pkg-config. This is no longer necessary with
    GCC 6 as default compiler. (Closes: #802786)
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Aug 2016 21:52:14 +0200

libsigc++-2.0 (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.
  * Bump Standards-Version to 3.9.7.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2016 07:41:46 +0100

libsigc++-2.0 (2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 16 Nov 2015 04:51:56 +0100

libsigc++-2.0 (2.6.1-3) unstable; urgency=medium

  * Use https:// for Vcs-Browser.
  * Enforce c++11 mode via pkg-config.
    libsigc++2.0 uses C++11 features in the header files it exports.
    As long  as GCC does not yet default to C++11, return -std=c++11 via
    pkg-config --cflags. Otherwise packages using those headers will fail to
    build. This is a temporary workaround to minimise the breakage caused by
    this change. It should be dropped again once the default is switched in
    GCC. (Closes: #800399)

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 22:33:26 +0200

libsigc++-2.0 (2.6.1-2) unstable; urgency=medium

  * Wrap dependencies.
  * Drop unnecessary configure switches.
  * Drop libtool .la files.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 14:24:46 +0200

libsigc++-2.0 (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on mm-common to (>= 0.9.8) as per configure.ac.
  * Drop obsolete Build-Conflicts.
  * Update symbols.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Sep 2015 16:26:49 +0200

libsigc++-2.0 (2.4.1-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Rename libsigc++-2.0-0c2a to libsigc++-2.0-0v5. Closes: #791170.
  * Add Conflict/Replaces to the old library package.
  * Update symbols file for GCC 5.

  [ Michael Biebl ]
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 10:22:08 +0200

libsigc++-2.0 (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-Git and Vcs-Browser to use the canonical Alioth URLs.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 02:00:17 +0200

libsigc++-2.0 (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #760797)
  * Drop old and no longer needed Conflicts/Replaces.
  * Drop versioned Build-Depends on g++ (>= 3:3.2.0). Even oldstable has a
    more recent version.
  * Run wrap-and-sort.
  * Bump Build-Depends on mm-common to (>= 0.9.7) as per configure.ac.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Drop debian/clean, no longer necessary.
  * Rename symbols to libsigc++-2.0-0c2a.symbols to make it more obvious which
    package this file belongs to.
  * Update symbols file, add new symbols.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Oct 2014 17:55:40 +0200

libsigc++-2.0 (2.2.11-4) unstable; urgency=low

  [ Balint Reczey ]
  * Silence debhelper
  * libsigc++-2.0-dev does not need Pre-Depends

  [ Adam Conrad ]
  * Mark optional weak symbol as optional in the debian/symbols file
    (Closes: #750154)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 12 Jun 2014 17:14:42 +0200

libsigc++-2.0 (2.2.11-3) unstable; urgency=low

  * Fix libsigc++-2.0-dev's dependency on libsigc++-2.0-0c2a (Closes: #739111)
  * Return to using #MINVER# in symbols file

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 15 Feb 2014 22:53:04 +0100

libsigc++-2.0 (2.2.11-2) unstable; urgency=low

  [ Balint Reczey ]
  * Use dh in debian/rules (Closes: #727299)
  * Bump standards version to 3.9.5

  [ Matthias Klose ]
  * Build using dh_autoreconf

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 15 Feb 2014 15:50:55 +0100

libsigc++-2.0 (2.2.11-1) unstable; urgency=low

  [ Balint Reczey ]
  * New upstream release.
  * Don't depend on specific version of automake (Closes: #724410)
  * Adopt package for Debian GNOME Maintainers (Closes: #738899)
  * Generate symbols file
  * Override lintian warning package-name-doesnt-match-sonames

  [ Moritz Muehlenhoff ]
  * Enable hardened build flags through dpkg-buildflags (Closes: #658964)

  [ Michael Biebl ]
  * Make API reference available under original location (Closes: #688809)
  * Don't compress doxygen .tag files (Closes: #688807)

  [ Jérémy Lal ]
  * Fix Vcs-Browse field (Closes: #687572)

  [ Matthias Klose ]
  * Update config.{guess,sub} for AArch64

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 14 Feb 2014 21:20:19 +0100

libsigc++-2.0 (2.2.10-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch: (closes: #651024)
    - Mark libsigc++-2.0-0c2a and libsigc++-2.0-dev as same.
    - Adjust debhelper build-dependency.

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jun 2012 17:36:21 +0000

libsigc++-2.0 (2.2.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove 0002-slot_rep-Avoid-access-to-deleted-object-in-notify.patch,
    merged upstream.
  * Fix watch file, track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 21:20:55 +0100

libsigc++-2.0 (2.2.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid access to deleted object in slot_rep::notify(). (Closes: #649032)
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 01:05:26 +0100

libsigc++-2.0 (2.2.9-1) unstable; urgency=low

  * New upstream release. (Closes: #578048)

    - Fixes g++ 4.6-related problems. (Closes: #619899, #609922, #620339)

  * Use DESTDIR instead of prefix to install files.

  * Regenerate autotools-generated files on every build.

  * Convert to source format 3.0 (quilt).

  * Debhelper compatibility changed to v8.

  * Standards-version updated.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 06 Apr 2011 07:30:35 -0700

libsigc++-2.0 (2.2.4.2-1) unstable; urgency=low

  * New upstream release.

  * Released to unstable.  I'm not sure this is perfect, but we need to
    move to 2.2, and having this in unstable and being tested is better
    than having it molder in experimental, forgotten.

  * Don't manually install the Doxygen tagfile; it has a new name and
    comes along automatically with "make install" now.

  * Fixed the use of misc:Depends in the -doc package.

  * Tightened the versioned dependency on debhelper to >=5.0.0.

  * Referenced a versioned name for the license file in
    debian/copyright.

  * Removed the dependency from -dev to libstdc++: it's a virtual
    package that's provided as part of a proper g++ install, so no need
    to depend on it directly.

  * Updated config.sub and config.guess in build/. (Closes: #528218)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 10 Jan 2010 15:28:45 -0800

libsigc++-2.0 (2.2.2-1) experimental; urgency=low

  * New upstream release.

  * Merge watchfile improvements from Deng Xiyue.

  * Update to debhelper compatibility level 5.

  * Use ${binary:Version} instead of ${Source-Version}.

  * Add ${misc:Depends} to all binary packages so that debhelper can magically
    generate dependencies for us.

  * Add a NEWS file warning that the deprecated SigC namespace has been
    removed.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 21 Mar 2008 15:33:44 -0700

libsigc++-2.0 (2.2.1-1) experimental; urgency=low

  * New upstream release. (Closes: #468220)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 08 Mar 2008 13:38:05 -0800

libsigc++-2.0 (2.0.18-2) unstable; urgency=low

  * Upload to unstable.

 -- Daniel Burrows <dburrows@debian.org>  Tue, 04 Mar 2008 19:56:43 -0800

libsigc++-2.0 (2.0.18-1) experimental; urgency=low

  * New upstream release (Closes: #443651).

  * Disable backwards-compatibility typedefs for slot_list.  This fixes
    compilation of sigc++-2.0 and dependent packages using g++-4.3.
    (Closes: #441537, #456971, #446333)

  * Package cleanups suggested by Hideki Yamane (Closes: #424929):
    + Declare debhelper compatibility level in debian/compat.
    + Clean up debian/copyright and bring it up to date.
    + Remove old cruft from debian/rules and remove 50autoconf.patch (which was
      referenced by that cruft).

  * Register the documentation with doc-base. (Closes: #346378)

  * Apply patch from Neil Williams to improve cross-building support.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 13 Feb 2008 20:50:49 -0800

libsigc++-2.0 (2.0.17-2) unstable; urgency=low

  * Fix Description. (Closes: #387761)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 21 Sep 2006 21:24:47 -0700

libsigc++-2.0 (2.0.17-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed, 30 Aug 2006 20:38:36 -0700

libsigc++-2.0 (2.0.16-3) unstable; urgency=low

  * Comment out both lines of the patch munging junk, to support
    the new make version. (Closes: #350697)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  5 Feb 2006 10:37:44 -0800

libsigc++-2.0 (2.0.16-2) unstable; urgency=low

  * Rebuild for another C++ transition. (Closes: #339219)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 26 Nov 2005 14:28:22 -0600

libsigc++-2.0 (2.0.16-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri, 30 Sep 2005 12:21:17 -0700

libsigc++-2.0 (2.0.10-3) unstable; urgency=low

  * Fix dh_makeshlibs call (it WOULD be the one that I didn't check that
    needed to be changed; Closes: #317682).

 -- Daniel Burrows <dburrows@debian.org>  Sun, 10 Jul 2005 14:34:54 -0400

libsigc++-2.0 (2.0.10-2) unstable; urgency=low

  * C++ transition.

 -- Daniel Burrows <dburrows@debian.org>  Tue,  5 Jul 2005 19:14:28 -0400

libsigc++-2.0 (2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Tue, 22 Feb 2005 11:26:44 -0500

libsigc++-2.0 (2.0.9-2) unstable; urgency=high

  * Upload with urgency=high to get the broken 2.0.7-1 out of testing.

 -- Daniel Burrows <dburrows@debian.org>  Mon,  7 Feb 2005 10:20:35 -0500

libsigc++-2.0 (2.0.9-1) unstable; urgency=low

  * New upstream release.
    - Fixes the warnings generated by the sigc++ header files.
    (Closes: #292696)
  * Include a watch file.

 -- Daniel Burrows <dburrows@debian.org>  Sun,  6 Feb 2005 17:38:15 -0500

libsigc++-2.0 (2.0.7-1) unstable; urgency=low

  * New upstream release

  * start the short descriptions with lower-case letters

 -- Daniel Burrows <dburrows@debian.org>  Wed, 26 Jan 2005 10:18:40 -0500

libsigc++-2.0 (2.0.6-1) unstable; urgency=low

  * New upstream release.
    - Fixes compilation problems with g++-3.4.  (Closes: #278985)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 30 Oct 2004 16:37:25 -0400

libsigc++-2.0 (2.0.4-1) unstable; urgency=low

  * New upstream release.  Most of the changes in this release pertain to
    non-Debian systems, so this isn't particularly critical (there is
    one bug involving optimization that could theoretically appear
    on Debian).

 -- Daniel Burrows <dburrows@debian.org>  Tue, 31 Aug 2004 18:53:56 -0400

libsigc++-2.0 (2.0.3-4) unstable; urgency=low

  * Don't compress doxygen tags...again.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 18 Aug 2004 10:07:45 -0400

libsigc++-2.0 (2.0.3-3) unstable; urgency=low

  * Revert all the autotools junk back to the default, and ONLY regenerate
    the configure script this time.  (Closes: #266483)

 -- Daniel Burrows <dburrows@debian.org>  Wed, 18 Aug 2004 09:35:34 -0400

libsigc++-2.0 (2.0.3-2) unstable; urgency=low

  * The "Die autobuilders die die die!" release.

  * Regenerate the configure script (Closes: #251989, #254174).

  * Don't compress the doxygen tags file (Closes: #244229).

 -- Daniel Burrows <dburrows@debian.org>  Tue, 17 Aug 2004 10:39:46 -0400

libsigc++-2.0 (2.0.3-1) unstable; urgency=low

  * New upstream release.  NOTE: the previous release (2.0.2) had a nasty
    bug which can cause programs compiled against it to crash.  Any programs
    compiled with 2.0.2 should be recompiled with this version of libsigc++.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 30 May 2004 21:51:38 -0400

libsigc++-2.0 (2.0.2-1) unstable; urgency=low

  * New upstream release

  * Make shlibs require at least this version, because the API/ABI changed.
    (the behavior of accumulators is different in some cases)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 23 May 2004 12:49:39 -0400

libsigc++-2.0 (2.0.1-3) unstable; urgency=low

  * Fix an override disparity.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 10 May 2004 14:26:19 -0400

libsigc++-2.0 (2.0.1-2) unstable; urgency=low

  * Make sure that everything actually gets installed where it ought to;
    in particular, it's now possible to build programs against sigc++.
    (Closes: #248279)

  * Conflict/Replace the libsigc++-1.9 packages. (Closes: #248280)

  * Remove a bunch of broken and useless links in /usr/share/doc.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 10 May 2004 13:30:35 -0400

libsigc++-2.0 (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Burrows <dburrows@debian.org>  Wed, 28 Apr 2004 18:34:36 -0400

libsigc++-2.0 (2.0.0-1) unstable; urgency=low

  * New upstream release.  This is the first stable release of sigc++ 2.0.

  * This package version addresses bug #244229 in libsigc++-1.9, which
    will be removed from unstable as it is superseded by 2.0.

 -- Daniel Burrows <dburrows@debian.org>  Mon, 26 Apr 2004 09:02:17 -0400

libsigc++-1.9 (1.9.15-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Fri, 27 Feb 2004 21:22:28 -0500

libsigc++-1.9 (1.9.14-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Tue, 24 Feb 2004 13:23:30 -0500

libsigc++-1.2 (1.2.5-1) unstable; urgency=low

  * New upstream release
    - Should really fix libtool problems everywhere (Closes: #185395)
  * Description cleanup (remove editorializing, extraneous information,
    etc)

 -- Daniel Burrows <dburrows@debian.org>  Fri, 16 May 2003 09:56:16 -0400

libsigc++-1.2 (1.2.3-2) unstable; urgency=low

  * Right.  Conflict with libsigc++-1.2-5, and delete an accidentally
    duplicated changelog entry.  (Closes: nothing yet, but I'm sure
    someone will file without checking Incoming)

 -- Daniel Burrows <dburrows@debian.org>  Thu,  9 Jan 2003 17:15:56 -0500

libsigc++-1.2 (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Built with g++-3.2.

 -- Daniel Burrows <dburrows@debian.org>  Thu,  9 Jan 2003 08:58:13 -0500

libsigc++-1.2 (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #174722)
  * The documentation got messed with while I wasn't looking, handle it
    properly (thanks, Marcelo)

 -- Daniel Burrows <dburrows@debian.org>  Wed,  1 Jan 2003 17:25:32 -0500

libsigc++-1.2 (1.2.1-2) unstable; urgency=low

  * Update config.sub and config.guess (Closes: #167460)

 -- Daniel Burrows <dburrows@debian.org>  Mon,  4 Nov 2002 08:49:36 -0500

libsigc++-1.2 (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Wed, 23 Oct 2002 08:46:38 -0400

libsigc++-1.2 (1.2.0-1) unstable; urgency=low

  * New upstream release.  This is, at long last, the first release in the
    1.2 series.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 10 Oct 2002 18:51:34 -0400

libsigc++-1.1 (1.1.13-1) unstable; urgency=low

  * New upstream release (release candidate for 1.2, soname bump)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 29 Jul 2002 11:07:59 -0400

libsigc++-1.1 (1.1.11-1) unstable; urgency=low

  * New upstream release  (Closes: #150388)
  * The development package now depends on libstdc++-dev.  (it seems silly
    to install it unless you have g++ and hence libstdc++-dev, but I don't
    think it hurts)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 15 Jun 2002 12:47:39 -0400

libsigc++-1.1 (1.1.10-1) unstable; urgency=low

  * New upstream release

  * This release requires pkg-config for sigc++ development (as far as I
  can tell)  Added pkg-config to the Depends line of libsigc++-1.1-dev.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 26 Apr 2002 20:15:20 -0400

libsigc++-1.1 (1.1.9-3) unstable; urgency=low

  * Added Build-Depends: m4.  (Closes: #142769)

 -- Daniel Burrows <dburrows@debian.org>  Sun, 14 Apr 2002 09:02:27 -0400

libsigc++-1.1 (1.1.9-2) unstable; urgency=low

  * Added prominent warning about unstableness to the Description.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 11 Apr 2002 20:00:49 -0400

libsigc++-1.1 (1.1.9-1) unstable; urgency=low

  * New upstream (unstable) release.  (Closes: #141488)

 -- Daniel Burrows <dburrows@debian.org>  Thu, 11 Apr 2002 18:58:30 -0400

libsigc++ (1.0.4-3) unstable; urgency=low

  * Correct spelling of "ability".  I think "typesafe" is more common than
  "type-safe", actually, but `corrected' it anyway.
    (Closes: #125044, #125045)

 -- Daniel Burrows <dburrows@debian.org>  Fri,  8 Feb 2002 11:12:09 -0500

libsigc++ (1.0.4-2) unstable; urgency=low

  * Update config.{sub,guess}.  (closes: #122878)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  9 Dec 2001 09:47:29 -0500

libsigc++ (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Use prefix= instead of DESTDIR= to install; this works around some
   upstream braindeadness that otherwise tries to rm -fr /usr/include/sigc++ .
  * Only call ldconfig if $1=configure
  * Standards version updated to 3.5.6.0

 -- Daniel Burrows <dburrows@debian.org>  Tue, 27 Nov 2001 08:38:46 -0500

libsigc++ (1.0.3-3) unstable; urgency=low

  * Patch sigc.m4 to work around autoconf problems.  (closes: #100206)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 23 Jun 2001 08:42:47 -0400

libsigc++ (1.0.3-2) unstable; urgency=low

  * New Maintainer.  (closes: #101532)
  * Include programming examples
  * Build-depending on a task package is a mess.  Build-dependency
  tightened up to just debhelper; task-c++-dev is unnecessary (since
  all the c++ stuff we need is essential or build-essential)
  * Programming documentation moved to -dev package.
  * No longer use the deprecated dh_testversion.

 -- Daniel Burrows <dburrows@debian.org>  Fri, 22 Jun 2001 09:07:32 -0400

libsigc++ (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  6 Mar 2001 09:25:33 -0500

libsigc++ (1.0.2-2) unstable; urgency=low

  * Fix build depends (closes: bug#82157, bug#82240)
  * Fix -dev dependency (closes: bug#81005)
  * Conflict with libsigc++5 (closes: bug#84942)
  * Orphaned

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 10 Feb 2001 17:04:13 -0500

libsigc++ (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Include doc/ (closes: bug#66674)

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 22 Nov 2000 11:23:44 -0500

libsigc++ (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Correct copyright file (closes: bug#64481)
  * Close bogus bug (closes: bug#63403)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 22 May 2000 14:23:29 -0400

libsigc++ (0.8.6-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 19 Jan 2000 10:18:44 -0500

libsigc++ (0.8.5-2) unstable; urgency=low

  * Add dependency for -dev package (closes: bug#50785)
  * Give a better long description.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 28 Nov 1999 11:08:52 -0500

libsigc++ (0.8.5-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 10 Nov 1999 12:09:53 -0500

libsigc++ (0.8.3-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Tue, 19 Oct 1999 15:54:33 -0400

libsigc++ (0.8.2-1) unstable; urgency=low

  * Initial debianization.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  6 Oct 1999 18:16:51 -0400
